Improve this doc View source

# `pfSelect`
directive in module `patternfly`

## Description

An AngularJS wrapper for the Bootstrap-select jQuery plugin which is used as a default select decorator in Patternfly.

## Usage

as attribute

    <select pf-select
         ng-model="{string}"
         [ng-options="{string}"]>
       ...
    </select>

#### Parameters

Param | Type | Details
--- | --- | ---
ngModel | string | Model binding using the NgModelController is mandatory.
ngOptions (optional) | string | The `<a href="https://docs.angularjs.org/api/ng/directive/select/">ngOptions</a>` attribute can be used to dynamically generate a list of `<option>` elements for the `<select>` element.

## Example

#### Source

#### Demo